Bug 57691 - Reboot command is avilable for users
Reboot command is avilable for users
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: basesystem (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-18 21:48 EST by Anders Lind
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-18 21:49:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Lind 2001-12-18 21:48:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
I am not sure if this is a RedHat-dependant "bug" really, but here it 
goes...I discovered that on my RH 7.1-system I could type reboot in 
console as an ordinary user and reboot, on my one-person system this 
doesn't really matter, however in a networkenviroment this causes concerns 
in my opinion. I did not change the default settings for the rights for 
the command. This makes me wonder if this should set to this as default in 
Redhat or if it has been changed or will be changed
in future releases. I agree this might not be a bug directly related to 
Redhat but it would perhaps be worth looking in to.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open a console window as an ordinary user
2. Type reboot
3.
	

Actual Results:  The computer reboots

Expected Results:  In my opinion it should not reboot when you type reboot 
as an ordinary user, an ordinary user should be priviliged by default to 
do so

Additional info:
Comment 1 Bill Nottingham 2002-01-21 16:22:29 EST
This is a normal use of pam_console.

Note You need to log in before you can comment on or make changes to this bug.